/***************************************
	Auteur : Pierre Aubert
	Mail : pierre.aubert@lapp.in2p3.fr
	Licence : CeCILL-C
****************************************/

#ifndef __ASTERICS_CUDA_H__
#define __ASTERICS_CUDA_H__

#include <stdio.h>
#include <string>

int asterics_getNbCudaDevice();
void asterics_getGpuInfo(int & maxNbThreadPerBlockX, int & maxNbBlockX, int & warpSize, int deviceIndex);
void asterics_getGpuInfoMem(size_t & maxNbThreadPerBlockX, size_t & maxNbBlockX, size_t & memSize, int deviceIndex);
int asterics_setDevice(const std::string & uuidSelectedDevice);

#endif