/***************************************
	Auteur : Pierre Aubert
	Mail : pierre.aubert@lapp.in2p3.fr
	Licence : CeCILL-C
****************************************/

#ifndef __PHOENIX_CUDA_CHECK_H__
#define __PHOENIX_CUDA_CHECK_H__

#define PLIB_CUDA_CHECK phoenix_cudaCheckNoErr(__LINE__);
#define PLIB_CUDA_CHECK_FILE phoenix_cudaCheckNoErrFileName(__LINE__, __FILE__);

#ifdef NDEBUG
#	define PCUDA_CHECK_DEBUG
#else
#	define PCUDA_CHECK_DEBUG PLIB_CUDA_CHECK
#endif

#ifdef __cplusplus
extern "C" {
#endif

void phoenix_cudaCheckNoErr(int linenr);
void phoenix_cudaCheckNoErrFileName(int linenr, const char* fileName);

#ifdef __cplusplus
}
#endif

#endif


